Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class OslcQueryResult

    java.lang.Object
      org.eclipse.lyo.client.oslc.resources.OslcQueryResult

All Implemented Interfaces:
  Iterator<OslcQueryResult>

    public class OslcQueryResult

extends Object
implements Iterator<OslcQueryResult>

The results of an OSLC query. If the query was paged, subsequent pages can be retrieved using the Iterator interface. This class is not currently thread safe.

Constructor Summary
`OslcQueryResult(OslcQuery query, org.apache.wink.client.ClientResponse response)`

Method Summary
`String[]` | `getMembersUrls()` Return the subject URLs of the query response.
`OslcQuery` | `getQuery()`
`org.apache.wink.client.ClientResponse` | `getRawResponse()` Get the raw Wink client response to a query.
`boolean` | `hasNext()`
`OslcQueryResult` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OslcQueryResult

    public OslcQueryResult(OslcQuery query,
                           org.apache.wink.client.ClientResponse response)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<OslcQueryResult>`
  Returns:
    whether there is another page of results after this

### next

    public OslcQueryResult next()

  Specified by:
    `next` in interface `Iterator<OslcQueryResult>`
  Returns:
    the next page of results
  Throws:
    `NoSuchElementException` - if there is no next page

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<OslcQueryResult>`
  Throws:
    `UnsupportedOperationException` - always

### getQuery

    public OslcQuery getQuery()

### getRawResponse

    public org.apache.wink.client.ClientResponse getRawResponse()

  Get the raw Wink client response to a query. NOTE: Using this method and consuming the response will make other methods which examine the response unavailable (Examples: getMemberUrls(), next() and hasNext()). When this method is invoked, the consumer is responsible for OSLC page processing

  Returns:

### getMembersUrls

    public String[] getMembersUrls()

  Return the subject URLs of the query response. The URLs are the location of all artifacts which satisfy the query conditions. NOTE: Using this method consumes the query response and makes other methods which examine the response unavailable (Example: getRawResponse().

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.